CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Image Class Reference

## Public Member Functions
| Image ($SourceFileName, $DebugLevel=0)
| SaveAs ($FileName, $NewImageType=NULL)
| XSize ()
| YSize ()
| ScaleTo ($ScaledXSize, $ScaledYSize, $MaintainAspectRatio=FALSE)
| CropTo ($CroppedXSize, $CroppedYSize, $CroppedXOrigin=0, $CroppedYOrigin=0)
| Type ($FileName=NULL)
| JpegQuality ($NewSetting=NULL)
| MissingExternalExecutables ()
| RequiredExternalExecutables ($ImageTypes=NULL)
| Status ()
| FailedExternalCommand ()
| ReadSize ()
| ImageFormatSupportedByPhp ($Format=NULL)
| ExternalExecutableIsAvailable ($ExecutableName)

## Static Public Member Functions
static | Extension ($Type=NULL)
static | SupportedFormats ()
static | SupportedFormatNames ()

## Public Attributes
| $GDVersion
| $ImageObj
| $SourceFileName
| $ImageXSize
| $ImageYSize
| $ScaledXSize
| $ScaledYSize
| $MaintainAspectRatio
| $CroppedXSize
| $CroppedYSize
| $CroppedXOrigin
| $CroppedYOrigin
| $JpegSaveQuality
| $DecodeCommand
| $ErrorStatus
| $FailedCommand
| $DebugLevel

## Detailed Description

Definition at line 24 of file Axis--Image.php.

## Member Function Documentation

Image::CropTo | ( |  | $CroppedXSize,
|  |  | $CroppedYSize,
|  |  | $CroppedXOrigin = `0`,
|  |  | $CroppedYOrigin = `0`
| ) |  |

Definition at line 376 of file Axis--Image.php.

References $CroppedXOrigin, $CroppedXSize, $CroppedYOrigin, and $CroppedYSize.

static Image::Extension | ( |  | $Type = `NULL` | ) |
| static

Definition at line 397 of file Axis--Image.php.

References Type().

Referenced by SPTImage\SetFileNames().

Here is the caller graph for this function:

Image::ExternalExecutableIsAvailable | ( |  | $ExecutableName | ) |

Definition at line 667 of file Axis--Image.php.

Referenced by MissingExternalExecutables(), and SupportedFormats().

Here is the caller graph for this function:

Image::FailedExternalCommand | ( |  | ) |

Definition at line 576 of file Axis--Image.php.

References $FailedCommand.

Image::Image | ( |  | $SourceFileName,
|  |  | $DebugLevel = `0`
| ) |  |

Definition at line 28 of file Axis--Image.php.

References $DebugLevel, $SourceFileName, AI_FILEUNREADABLE, AI_IMGOBJCREATEFAILED, AI_INTERNALERROR, AI_OKAY, AI_UNKNOWNTYPE, AI_UNSUPPORTEDFORMAT, ImageFormatSupportedByPhp(), IMGTYPE_BMP, IMGTYPE_GIF, IMGTYPE_JPEG, IMGTYPE_PNG, and Type().

Image::ImageFormatSupportedByPhp | ( |  | $Format = `NULL` | ) |

Definition at line 636 of file Axis--Image.php.

References IMGTYPE_BMP, IMGTYPE_GIF, IMGTYPE_JPEG, IMGTYPE_PNG, and Type().

Referenced by Image(), ReadSize(), and SaveAs().

Here is the caller graph for this function:

Image::JpegQuality | ( |  | $NewSetting = `NULL` | ) |

Definition at line 417 of file Axis--Image.php.

References $JpegSaveQuality.

Image::MissingExternalExecutables | ( |  | ) |

Definition at line 424 of file Axis--Image.php.

References ExternalExecutableIsAvailable(), and RequiredExternalExecutables().

Referenced by SPTImage\CreateNewImage().

Here is the caller graph for this function:

Image::ReadSize | ( |  | ) |

Definition at line 610 of file Axis--Image.php.

References ImageFormatSupportedByPhp().

Referenced by XSize(), and YSize().

Here is the caller graph for this function:

Image::RequiredExternalExecutables | ( |  | $ImageTypes = `NULL` | ) |

Definition at line 445 of file Axis--Image.php.

References IMGTYPE_BMP, IMGTYPE_GIF, IMGTYPE_JPEG, and IMGTYPE_PNG.

Referenced by MissingExternalExecutables().

Here is the caller graph for this function:

Image::SaveAs | ( |  | $FileName,
|  |  | $NewImageType = `NULL`
| ) |  |

Definition at line 148 of file Axis--Image.php.

References $CroppedXSize, $CroppedYSize, $DecodeCommand, $ErrorStatus, $ImageObj, $ScaledXSize, $ScaledYSize, AI_DESTINATIONUNWRITABLE, AI_INTERNALERROR, AI_OKAY, AI_PPMCMDFAILED, ImageFormatSupportedByPhp(), IMGTYPE_BMP, IMGTYPE_GIF, IMGTYPE_JPEG, IMGTYPE_PNG, IMGTYPE_UNKNOWN, Type(), XSize(), and YSize().

Image::ScaleTo | ( |  | $ScaledXSize,
|  |  | $ScaledYSize,
|  |  | $MaintainAspectRatio = `FALSE`
| ) |  |

Definition at line 367 of file Axis--Image.php.

References $MaintainAspectRatio, $ScaledXSize, and $ScaledYSize.

Image::Status | ( |  | ) |

Definition at line 570 of file Axis--Image.php.

References $ErrorStatus.

Referenced by SPTImage\CreateCopyOfImage().

Here is the caller graph for this function:

static Image::SupportedFormatNames | ( |  | ) |
| static

Definition at line 546 of file Axis--Image.php.

References SupportedFormats().

static Image::SupportedFormats | ( |  | ) |
| static

Definition at line 496 of file Axis--Image.php.

References ExternalExecutableIsAvailable(), IMGTYPE_BMP, IMGTYPE_GIF, IMGTYPE_JPEG, and IMGTYPE_PNG.

Referenced by SupportedFormatNames().

Here is the caller graph for this function:

Image::Type | ( |  | $FileName = `NULL` | ) |

Definition at line 386 of file Axis--Image.php.

References $SourceFileName, IMGTYPE_BMP, IMGTYPE_GIF, IMGTYPE_JPEG, IMGTYPE_PNG, and IMGTYPE_UNKNOWN.

Referenced by Extension(), Image(), ImageFormatSupportedByPhp(), and SaveAs().

Here is the caller graph for this function:

Image::XSize | ( |  | ) |

Definition at line 353 of file Axis--Image.php.

References $ImageXSize, and ReadSize().

Referenced by SaveAs().

Here is the caller graph for this function:

Image::YSize | ( |  | ) |

Definition at line 360 of file Axis--Image.php.

References $ImageYSize, and ReadSize().

Referenced by SaveAs().

Here is the caller graph for this function:

## Member Data Documentation

Image::$CroppedXOrigin

Definition at line 594 of file Axis--Image.php.

Referenced by CropTo().

Image::$CroppedXSize

Definition at line 592 of file Axis--Image.php.

Referenced by CropTo(), and SaveAs().

Image::$CroppedYOrigin

Definition at line 595 of file Axis--Image.php.

Referenced by CropTo().

Image::$CroppedYSize

Definition at line 593 of file Axis--Image.php.

Referenced by CropTo(), and SaveAs().

Image::$DebugLevel

Definition at line 600 of file Axis--Image.php.

Referenced by Image().

Image::$DecodeCommand

Definition at line 597 of file Axis--Image.php.

Referenced by SaveAs().

Image::$ErrorStatus

Definition at line 598 of file Axis--Image.php.

Referenced by SaveAs(), and Status().

Image::$FailedCommand

Definition at line 599 of file Axis--Image.php.

Referenced by FailedExternalCommand().

Image::$GDVersion

Definition at line 584 of file Axis--Image.php.

Image::$ImageObj

Definition at line 585 of file Axis--Image.php.

Referenced by SaveAs().

Image::$ImageXSize

Definition at line 587 of file Axis--Image.php.

Referenced by XSize().

Image::$ImageYSize

Definition at line 588 of file Axis--Image.php.

Referenced by YSize().

Image::$JpegSaveQuality

Definition at line 596 of file Axis--Image.php.

Referenced by JpegQuality().

Image::$MaintainAspectRatio

Definition at line 591 of file Axis--Image.php.

Referenced by ScaleTo().

Image::$ScaledXSize

Definition at line 589 of file Axis--Image.php.

Referenced by SaveAs(), and ScaleTo().

Image::$ScaledYSize

Definition at line 590 of file Axis--Image.php.

Referenced by SaveAs(), and ScaleTo().

Image::$SourceFileName

Definition at line 586 of file Axis--Image.php.

Referenced by Image(), and Type().

The documentation for this class was generated from the following file:

- lib/AxisPHP/Axis--Image.php